Saves time series data
POST /repositories/{repository}/timeSeries/{timeSeries}/data
Saves data points to a time series identified by its name
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
repository |
path | string |
yes | The repository in which the time series is stored. |
timeSeries |
path | string |
yes | The name or id (prefixed with ‘id:’) of the time series to write the data to. |
quotationDateTime |
query | string (date-time) |
no | The quotation date/time for which the data should be written. |
Request body
Section titled “Request body”Required.
| Name | Type | Required | Description |
|---|---|---|---|
data |
TimeSeriesDataOfDouble[] |
no | — |
unit |
UnitReference |
no | — |
interval |
Interval |
no | — |
cyclic |
boolean |
no | — |
function |
number |
no | Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value. |
timeZone |
string |
no | Identifies the time zone in which a time series is defined. This may impact calculation results, especially during daylight savings time transitions. |
{ "data": [ { "value": 0, "flag": 9, "time": "2026-01-01T00:00:00Z" } ], "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "interval": { "type": 2, "multiplier": 0 }, "cyclic": true, "function": 2, "timeZone": "Europe/Vienna"}| Name | Type | Required | Description |
|---|---|---|---|
data |
TimeSeriesDataOfDouble[] |
no | — |
unit |
UnitReference |
no | — |
interval |
Interval |
no | — |
cyclic |
boolean |
no | — |
function |
number |
no | Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value. |
timeZone |
string |
no | Identifies the time zone in which a time series is defined. This may impact calculation results, especially during daylight savings time transitions. |
{ "data": [ { "value": 0, "flag": 9, "time": "2026-01-01T00:00:00Z" } ], "unit": { "storageInformation": { "repositoryName": "string" }, "identifier": "string" }, "interval": { "type": 2, "multiplier": 0 }, "cyclic": true, "function": 2, "timeZone": "Europe/Vienna"}Responses
Section titled “Responses”| Code | Description | Type |
|---|---|---|
201 |
Data saved successfully | no body |
204 |
Indicates that the operation was a success. There is no data to return. | no body |
404 |
Indicates that the requested time series does not exist | ProblemDetails |
4XX |
Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. | ProblemDetails |
5XX |
Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. | ProblemDetails |
Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Was this page helpful?Thanks for your feedback!